/*
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr

   This file is part of Polychrony Signal GUI (http://www.irisa.fr/espresso/polychrony).

   Polychrony Signal GUI is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal GUI is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal GUI; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA.
 */

#ifndef __CEXTRACT__
#if __STDC__

void detach_arb_sig (ntrees p_sig );
void detruire_arb_sig (ntrees p_sig );
void detruire_port (int no_port, int typ_obj );
void recalcul_bte ( int bte, ntrees arb_gra_int, boolean encapsulee );
boolean createport_seg_coupe ( int bte, ntrees arb_port_diff, ntrees arb_seg, boolean ent );
boolean createports_encaps(int bte, ntrees l_bte_enc, ntrees l_n_p_d_e);
boolean test_decaps_bte ( int bte, int *noErrMess);
void inser_l_info_pt_decaps ( int bte, int port, boolean en_entree, ntrees l_p_d_p_l, ntrees l_bte_dec );
void inser_l_info_pti_decaps ( int bte, int port_diff, ntrees l_p_d_p_l );
ntrees creer_l_info_bte_decaps ( int bte, ntrees l_bte_dec );
boolean rout_ports_btes_decaps(ntrees l_p_d_p_l, ntrees l_bte_dec);
boolean rout_port_diff_ports_lies(ntrees arb_port_diff, ntrees l_no_ports_lies,
					   int bte_niv);
void createInOrOutInterfacePorts(ntrees pProc, ntrees p_bte, ntrees lSignal, boolean isInput);
void mkInterfacePorts (ntrees p_proc, ntrees p_bte);
void createports_bte_appel (ntrees p_bte, ntrees p_proc );
boolean ecart_port (ntrees bte, int mask, int x_c, int y_c, int demi_h, boolean force );
boolean deplac_port (int noport, int *x_ret, int *y_ret, int *rg );

#endif /* __STDC__ */
#endif /* __CEXTRACT__ */

