/*
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr

   This file is part of Polychrony Signal GUI (http://www.irisa.fr/espresso/polychrony).

   Polychrony Signal GUI is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal GUI is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal GUI; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA.
 */
#define maxcoord 20  // maximum number of segments for one link

#define taillepave_x 6
#define taillepave_y 10
#define taillepatte 3
#define triangle_y 5  /* 6 */
#define alpha 10

#define abs_mil_cadre 455
#define ord_mil_cadre 350 
#define lg_bte_stand 390
#define ht_bte_stand 300 /* 320 modifs F. Bodin */
#define decal_cadre_x 65
#define decal_cadre_y 50  /*30 modifs F. Bodin */
#define taille_fen_x 910
#define taille_fen_y 700

/* definition des tailles des boites expression de processus */
#define ht_bte_exp 250
#define lg_bte_exp 355
#define mil_bte_exp_y 320

#define inter_pave 12   
#define halo_segm 3  /* 4 */
#define halo_bte 6  /* 10 */
#define taille_virage 5

