/*
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr

   This file is part of Polychrony Signal GUI (http://www.irisa.fr/espresso/polychrony).

   Polychrony Signal GUI is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal GUI is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal GUI; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA.
 */
EXTERN float dist(typcoord point1, typcoord point2);
EXTERN int maxi(int x, int y);
EXTERN int mini(int x, int y);
EXTERN float fmini(float x, float y);
EXTERN boolean isInRectangle ( int x_ret, int y_ret, typcoord *halo );
EXTERN boolean isIntersectionEmpty(typcoord *rect1, typcoord *rect2);
EXTERN boolean isInFrame(int x1, int y1, int x2, int y2);
EXTERN void setDefaultCoord (typcoord *tCoord );
EXTERN void inverser(typcoord *tcoord, int nbcoord);
